package com.logicbig.example;

import org.springframework.beans.PropertyEditorRegistrar;
import org.springframework.beans.PropertyEditorRegistry;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class XmlNewEditorExample2 {

    public static void main(String[] args) {
        ApplicationContext context = new
                ClassPathXmlApplicationContext("spring-config4.xml");
        XmlNewEditorExample.Customer bean = context.getBean(XmlNewEditorExample.Customer.class);
        System.out.println(bean);
    }

    public static class MyCustomEditorRegistrar implements PropertyEditorRegistrar {

        @Override
        public void registerCustomEditors(PropertyEditorRegistry propertyEditorRegistry) {
            propertyEditorRegistry.registerCustomEditor(
                    XmlNewEditorExample.Phone.class, "phone", new XmlNewEditorExample.CustomPhoneEditor());
        }
    }
}